commit 68f2589c687c132fc9abfd1501930bf191701165
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Sep 10 18:01:44 2020 -0400

    vesa 2.5.0

commit 51a73f2fc2548d9b699d2a9c016bf5892c41d48a
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 30 11:46:46 2018 -0400

    Disable shadow by default on known-virtual GPUs
    
    Device memory is the same domain as host memory, in this case, so the
    shadow just introduces more memcpy.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 53c7796e8ddc6aaaef79df8c852c0d9d151a8559
Author: Benjamin Tissoires <benjamin.tissoires@redhat.com>
Date:   Fri May 10 08:40:05 2019 +0200

    Refuse to run on UEFI machines running older kernels
    
    Prior to kernel v3.12, the efi framebuffer driver was named "efifb".
    This cause problem on RHEL 7 as the base kernel is 3.10.
    
    "efi-framebuffer.0" was added by commit 2645e0aa for that reason
    (don't run on UEFI machine).
    The change from "efifb" to "efi-framebuffer" was done with commit
    e6816a8 in the kernel
    
    Signed-off-by: Benjamin Tissoires <benjamin.tissoires@redhat.com>
    [ofourdan: updated commit message with commit references]
    Reviewed-by: Olivier Fourdan <ofourdan@redhat.com>

commit 634dae745cf71c257554b4c18bde7710cd1716e8
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 6 12:45:11 2019 -0500

    Try harder to avoid 24bpp
    
    We're preferring depth 24 even if that means 24bpp. Newer servers don't
    support 24bpp anymore, and even for old servers it's suboptimal. Change
    the heuristic to only try 24bpp if the alternative is pseudocolor.
    
    Fixes: xorg/driver/xf86-video-vesa#3

commit 637c968d1a2fecfb25bd6d14e4fe285e3ceafc13
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:19:22 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 503665924c77a1a4c5f82651aa08b9e5c5e0d4f6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 18 16:43:51 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2645e0aa9c17c2c966a0533e52ad00510311483e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Aug 29 11:04:23 2018 -0400

    Refuse to run on UEFI machines
    
    No possible good can come of this.
    
    v2: Check for .../efi-framebuffer.0 ("is there an EFI framebuffer")
    instead of /sys/firmware/efi ("is this an EFI machine"). Suggested by
    Peter Jones.
    
    Reviewed-by: Peter Jones <pjones@redhat.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 366622333bc1b81cab6d4aa325a18fcd27bf5db4
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 28 15:26:46 2018 -0400

    Newline-terminate a few error messages
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 07e4a0f0b3bd6308da2e000c12230b1e171e65a7
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Feb 15 14:33:38 2018 -0500

    vesa 2.4.0
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit f7876ce62c751c9b28d5750e1d01def877e666fb
Author: Ian Lepore <freebsd-xorg@damnhippie.dyndns.org>
Date:   Wed Jan 31 10:48:09 2018 -0500

    Honor Option "NoDDC" correctly
    
    Move xf86CollectOptions before the DDC code so it can actually hear us
    when we ask to disable DDC.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=46541
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2cb984533fd7a36151bb8be18a63f678a552ad71
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 31 10:48:08 2018 -0500

    Use VBEFreeVBEInfo not free
    
    A VbeInfoBlock has substructure, just freeing the object will leak.
    Unfortunately VBEFreeVBEInfo does not check for NULL first so we have
    to.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=25029
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9c4f6c7ab011435a492dd5cb1847bf00f290c219
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 31 10:48:07 2018 -0500

    Fall back to VGA if the palette API isn't supported
    
    I ported vesa to use the VBE service back in:
    
        commit 55f585a15f42ffe028ff37ea1f63543795dbf56e
        Author: Adam Jackson <ajax@redhat.com>
        Date:   Fri Sep 18 17:02:16 2009 -0400
    
            Use VBE palette load, not VGA banging.
    
    I'm reasonably sure that worked on all the hardware I had handy at the
    time. But it doesn't work in seabios, which means 8bpp is broken under
    qemu.
    
    We query this API early in initialization, and if it fails ->savedPal
    will be NULL, so use that as the hint to fall back to VGA banging.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit c6fdaad9649d3fb6a13a8180c17ea8181aabd375
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 31 10:48:06 2018 -0500

    Don't build old probe method on sufficiently new servers
    
    If we have pciaccess and not ISA support VESAProbe is effectively return
    FALSE, and the server will issue a potentially confusing fallback
    message if VESAPciProbe failed and ->Probe is non-NULL.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit b9f9c95ca2383460aa283adeeee6e0a66eed722b
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:22 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 8912f4afd4903cf383e32a32e2a5c878e5a9fe03
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 109fb7b040b009dcaba05d36200f9bba97aad2bc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 0400b332a90f53b7a1361f832b60f1d4e90fd6e7
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Thu Apr 28 13:56:52 2016 +0200

    Use default refresh by default
    
    This seems to be a feature that isn't tested well. Too many VBE 3.0
    BIOSes are incorrectly implemented.
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Stefan Dirsch <sndirsch@suse.de>

commit 2792ba7535dc9cc1c5bb2b37c1f862be36710a32
Author: Matthew Green <mrg@NetBSD.org>
Date:   Mon Jul 20 10:55:09 2015 +0200

    When debugging, print the VGAbase as well.
    
    Just in case it ends up zero and causes a segmentation fault.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit b49c293e67cd88424ff40a2ca4e58b28528691d7
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jun 16 11:56:32 2015 -0400

    vesa 2.3.4
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 190fdaaa1d6d317be3ef78855df805b3b3e5a239
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jun 16 11:57:59 2015 -0400

    Don't include deprecated xf86PciInfo.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit e667a9a2e5b61b2edd8643c7eed1d64d3948bc42
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 11 09:56:59 2015 -0400

    configure: Drop PanelID test
    
    vbe grew PanelID support in xserver 1.4; since we now require 1.6 we can
    remove the test.  Which is good, because it appears to have been broken
    by the scrnIndex->pScrn conversion, as vbe.h doesn't include xf86str.h
    so ScrnInfoPtr was never defined and the test failed.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit e36a0a8bcfd2bfa0b3878068f16361b3fd34b5d4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 30 15:42:52 2014 -0800

    Raise required version of xorg-server to >= 1.6
    
    Needed for Xorg to define/export xf86GTFMode(), introduced in
    xorg-server release 1.6.0 / commit ca5625b911e65fdfd4.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e5d56d94720db7a9b97809f15e2432014d94553
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Sep 9 21:14:03 2013 +0200

    Bump to 2.3.3
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit ad0864d4fae1db24d32e95abff8a37d7eebea7ef
Author: Egbert Eich <eich@freedesktop.org>
Date:   Wed May 25 13:35:21 2011 +0200

    Make bool option parsing clearer and more consistent
    
    When there's no need to know whether the user has set the value
    of a configurable option (for logging for instance) the return
    of xf86ReturnOptValBool() can be assigned directly.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 29a149544e2120a582043738d5b09dd80e896345
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d6042a43b6cedc7bbd7c1cb1b2f7b9df9fce1102
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 16 13:18:23 2013 -0500

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 60d2dc115c4b6210d3b1e05f5b0c39d1f7917cbc
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 25 08:55:03 2012 -0400

    Remove mibstore.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 7aafaf56fbca97f36c775462c1ceea3e03700c42
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Aug 18 20:53:34 2012 +0600

    Fix check function in VESASaveRestore
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4cb7fa8191ca41491330e4adc8c8188648ed7e11
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Aug 18 20:53:33 2012 +0600

    Remove unneeded AM_CONDITIONAL
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0249d01a2623c4f7769914fc0a7b50657a50560f
Author: Dave Airlie <airlied@gmail.com>
Date:   Wed Jul 18 20:02:49 2012 +1000

    vesa: bump to 2.3.2
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 86f1d894cd3c06a61abbd16e3e73d60db2c98621
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jun 1 12:55:19 2012 +0100

    vesa: add api 13 compat layer.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 378e55e375cbb659d66d6739891553d7a83e6a65
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 23 11:30:51 2012 +0100

    vesa: fix make distcheck.
    
    Add missing compat-api header
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 18bf00600c75b1dc055d174c8ba9ec1dc4ae8b5a
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 23 11:25:14 2012 +0100

    vesa: convert to new screen conversion APIs.
    
    Generated by util/modular/x-driver-screen-scrn-conv.sh
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 76c67b2735a5b0ee1cf231ff85eb3273a30b4ccc
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed May 23 11:24:57 2012 +0100

    vesa: add compat-api.h
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 8cd553551767c0f970912fb73cae3aa733434106
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 22 17:32:22 2012 -0400

    vesa 2.3.1
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4ba7306fd0c9533750d389829e2cbf0522e149b3
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 01:49:38 2011 -0700

    configure.ac: Require a newer version of libpciaccess
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit efe1792818be463dd0367178f0233bc502b7a584
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 01:38:49 2011 -0700

    Code style cleanup to make the map and unmap blocks more consistent
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1f84310ddf49778f776a39810aa98211c812e8ab
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 01:33:07 2011 -0700

    Build fix for ABI Version 12
    
    ABI Version 12 removes support for multiple PCI domains.  If you need to
    use this driver on a system with more than one PCI domain, you should
    either port this driver to using libpciaccess directly or stick with an
    older server.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1a60e9068284e1ef22d8c470a85410a54ee668e8
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 01:15:13 2011 -0700

    Use unsigned long rather than deprecated IOADDRESS
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 463886df688d3521afc47ec88f9aaf67e924ec7f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 01:15:03 2011 -0700

    Build fix for ABI Version 12
    
    ABI Version 12 removes support for multiple PCI domains.  If you need to
    use this driver on a system with more than one PCI domain, you should
    either port this driver to using libpciaccess directly or stick with an
    older server.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 0b02c68581f48c3239bc150df137623053794a3e
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Feb 14 11:44:02 2011 -0500

    Be forgiving of character-cell size mismatches in mode sizes
    
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8e32d9d23c64ed700d3e9c5e6709a4b3c46b204a
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Feb 14 10:28:51 2011 -0500

    Fix memory leak in mode validation
    
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit b1f7f190f9d4f2ab63d3e9ade3e7e04bb4b1f89f
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 8 13:45:32 2010 -0500

    Refuse to load if there's a kernel driver bound to the device
    
    Ported from the equivalent check in nv.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit fba7f460838624f55ade074e1c7690f4aa7aed4d
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Fri Oct 22 15:23:46 2010 -0400

    Convert x+m/calloc/free to m/calloc/free.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8532158308ef6445ac44276e5c989d343f851431
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:52 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 32e50178f9e12112ab09af442770d43c5fa2ec9a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 61328ed613f9bb822227d5c80d773bdb8eba2742
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 79e954f1c06ab45ac1a59bbb54bd4a98b15e11e7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 12c859a302e6c42b319f660af03c9718adffe699
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bda55aa468b43731e5bd1b5ebc1d9a2d927f9b79
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8e53d57f165365b0a084f410d2f08a3073d1bece
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bcdce845e1b2d48d66e1655bc86e13f3297b1916
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ba8aaea71ea7c0f3dcb2bfb3bda6534d3e1c104e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:30 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit fa1fcd483cc60b5f4e82e3f1fe1a84459cf0eaee
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 13:04:25 2010 -0400

    COPYING: update file with Copyright notices from source code.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d82f2e6e52a7cac2f15a20ab91f50f06eaea7e6a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Feb 15 13:39:02 2010 -0500

    config: Move compiler flags from configure.ac to Makefile.am
    
    Remove unused XORG_INCS variable.
    Remove unused INCLUDES='-I$(top_srcdir)/src'
    This statement is redundant and not used in the makefile
    
    Remove unrequired '-I$(top_srcdir)/src'
    The current dir is already included by default in the makefile
    top_builddir = ..
    DEFAULT_INCLUDES = -I. -I$(top_builddir)
    
    Move compiler flags from configure.ac to Makefile.am
    CFLAGS is an automake defined variable that should not be set
    by the module. It should not be AC_SUBST either, it already is.
    Use AM_CFLAGS in Makefile.am. This will allow the user to override
    the flags as they will be in the right order.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 069c1f82149031328bb48479732b0a21be5248dd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 13:46:10 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ba6527d2695574f6f7808ada39f6caed7a688f39
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Jan 4 14:19:13 2010 -0500

    vesa 2.3.0
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 1d0e73302d4c4eda56f32e129920ccd263f524ce
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Jan 4 14:16:42 2010 -0500

    Make the VBESetVBEMode fallback message slightly clearer
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4b625d15b2bb3dc337924f0703db7ddd47c08434
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 30 11:48:27 2009 -0500

    Remove support for non-shadowfb banked framebuffer
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 1a31829b966ceed444a3b3f7e91c5ae04d82c3ba
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 30 11:27:53 2009 -0500

    Use own thunk function instead of shadowUpdatePackedWeak
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit ad1e7b4a4cacc1a157eb533e2a55a54b386949da
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 30 11:24:37 2009 -0500

    Warning fix when !HAVE_ISA
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 3c73bfc96817348449e5ab6a7f7b03ac6c85bd47
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Dec 30 11:23:16 2009 -0500

    Code motion
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2c8da9b4e703678b0f0f16edb1c48a523c8442fd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:00:15 2009 -0500

    configure.ac: sdkdir usage duplicates the sdk include dir
    
    The sdkdir variable provides a duplicate copy of the include/xorg
    directory. The statement is removed as this was it's only used.
    In the Makefile, there is now only one instance of the -I sdkdir
    The sdkdir is provided in XORG_CFLAGS.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5833d01faac576016ac90a06ccb4af2fac23b718
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 8 17:51:00 2009 -0500

    configure.ac: remove -I$(prefix)/include from INCLUDES #24676
    
    Using $prefix for any purpose will yield incorrect results
    as not all modules uses the same prefix and that modules can use
    different directory which is configurable.
    
    The main include dir comes from XORG_CFLAGS
    
    Reported-By: Michael Olbrich <m.olbrich@pengutronix.de>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4509305138d04d1e2e670b6d21b54b28b69405ba
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Dec 1 15:25:52 2009 -0500

    Don't artificially limit the screen size to 2k
    
    VBE lets you specify sizes in uint16_t.  X won't work above 32k though,
    so clamp to that instead of the arbitrary 2k.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2fbedf7be67e98170a17118c958568439d1613cc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:06 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 168971773075042625b6d233192fcc0ed85183d5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit a90aed950a5b23a6533162315e3b111b69079b3d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 82a87ff811214c20a1cd8c41f6e05e472f5e947e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:22 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 8e49958aba94062b757a7558e2d0a22cd59771af
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 13:05:24 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit d8fd5dd83ae5b1c8583a8434744180162a822ac8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 13c8350893eb32c34603cbcf8a829db3f22fd1ce
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Oct 5 21:02:28 2009 +0200

    Add missing shadowRemove() in VESACloseScreen().
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Acked-by: Daniel Stone <daniel@fooishbar.org>

commit b2c938bf08daec061341deec768135846f702f7a
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Sep 18 17:08:24 2009 -0400

    Remove unused variable.

commit 55f585a15f42ffe028ff37ea1f63543795dbf56e
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Sep 18 17:02:16 2009 -0400

    Use VBE palette load, not VGA banging.

commit 7bfa6d08d6df4b76ed01ddab1a543ffc8bf08886
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Sep 18 16:40:14 2009 -0400

    Fix a comment

commit fdf653a99f53306efcd48658caf657af48ea916d
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:30 2009 +1000

    vesa: bump for release 2.2.1

commit 869a9c8058c16734af5c8771a0c32df0be7bba36
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:42 2009 +1000

    vesa: change to using ABI version check

commit aad538f06852e5bf011597a574785d525ed1b0c4
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:40 2009 +1000

    vesa: update for resources/RAC API removal

commit 49f6a2f902473692f6541ee32e018b64d74e7ece
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:58:39 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 69b3eb4f8a9b93f1b2a73e395d4d7c29c6c18b41
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Feb 26 14:33:52 2009 -0500

    Attempt VBE PanelID if DDC fails

commit 68ca3d10ab33ee2347928b0340198aff4f620144
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Feb 17 18:04:29 2009 -0500

    vesa 2.2.0

commit 817fb65fc3a95d6c34952f241c92ba2d3760968e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Feb 5 16:09:32 2009 -0500

    Add yet another pass to mode validation.
    
    Now it's: exact intersection, range based, optimistic range based.  The
    final pass tries to stretch out the bottom of the sync ranges to fit
    down to 640x480.  We'll skip the last pass if the sync range is already
    that optimistic though.

commit 5522f06c2305d52b12d6934133f46f7b7927ebf7
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 21:06:38 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 566270b780a3f68b02d39f913372dc558ac931f2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:38:18 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit c7f6d282ccbe1931f5ae6472cbfb4f80fc749525
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Dec 22 12:36:21 2008 +1000

    vesa 2.1.0

commit d994a9abbda582ccd6d38447ca2201de10cc36a5
Author: Adam Jackson <ajax@redhat.com>
Date:   Sun Nov 23 17:28:33 2008 -0500

    Make ISA support optional.

commit 38431c99ccb625d0fd784f86f6a8a9cdbfbf872e
Author: Luc Verhaegen <lverhaegen@ridcully.suse.de>
Date:   Thu Sep 18 16:58:59 2008 +0200

    VESASetMode: be verbose about the mode that's being set.

commit e670b3e4a1102a36a01edf1fd38676b9b13fb957
Author: Julien Cristau <jcristau@debian.org>
Date:   Tue Jul 15 00:26:12 2008 +0200

    Properly define the driver version
    
    Define VESA_VERSION_MAJOR/MINOR/PATCHLEVEL using the version from
    configure.ac.

commit 4939ada882feeafe4b2f233a4a27d6ad38d5bf99
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 1 14:27:48 2008 -0400

    Default VESAValidMode to returning MODE_BAD.

commit 9d27e31dca8e0bddbf82ef2f19064160cff3a59e
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 1 14:19:04 2008 -0400

    Add a TODO list.

commit bcf3514b99431b6935ea568b59d94f266ccd7aeb
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 1 14:09:00 2008 -0400

    Warning cleanup.

commit ea57dcf423ebc3cb24060eebfc1943703448c320
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 1 14:07:15 2008 -0400

    Use VBE services for DPMS instead of banging VGA registers manually.

commit 3631892e0c53568b9f6b0c4aeacd2354305376e6
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 1 13:41:07 2008 -0400

    vesa 2.0.0

commit eb4216dbb392a78d15cde8232d4d951ad876518e
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 1 13:40:16 2008 -0400

    Un-duplicate some init code.

commit 8ec1f02475bc4267050239c6840fa6738b0caefb
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 1 13:23:31 2008 -0400

    Remove unused ->device

commit 1f1e72fd965443e61ec10442044f554afd77db36
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 12 15:22:14 2008 -0400

    vesa 1.99.1

commit 419b7d46f2abab5506c89f3b2b3e7a50a5dbf3a7
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 12 14:30:51 2008 -0400

    Update copyright.

commit f807c82506f42c1e1fa63cfa56d7c79b653e46f8
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 12 14:19:12 2008 -0400

    Clean up memory model checking, and properly refuse unsupported models.

commit 99d2cc8676a93ec21f5ca1cec3525a8dff8a6acd
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 12 14:16:52 2008 -0400

    Add semi-reasonable mode validation.

commit 1a256385169d61c6f42cb6f6d0eb1688570fd79e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 12 12:06:04 2008 -0400

    Prefer a more modern depth/bpp selection.
    
    24+32, then 24+24, then 16, 15, 8, 4, 1.
    
    See also Red Hat bugs #427383, #445566.

commit 2760e3e9163768aea85d188ae23b7d9e4e89944b
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 12 11:31:00 2008 -0400

    Remove some useless module loading cruft.

commit 6ac8eca0063576a64827ca74dfe78ac1a1e53188
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 12 11:18:07 2008 -0400

    Fix boolean inversion in VBE screen clear.
    
    From the VESA VBE doc: "If bit D15 is not set, all reported image pages,
    based on Function 00h returned information NumberOfImagePages, will be
    cleared to 00h in graphics mode, and 20 07 in text mode. Memory over and
    above the reported image pages will not be changed. If bit D15 is set,
    then the contents of the frame buffer after the mode change is undefined."
    
    D15 here means the high bit of %bx.

commit f8a2b6470406415e96b5d03afa2129acd33b1d91
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Apr 17 01:36:48 2008 +0200

    Planar video is gone
    
    xf1bpp and xf4bpp were removed from the server, so
    don't try to use them.  The afb code was disabled
    for years and nobody noticed, remove that too.

commit 837e6382cfb54fdfe65355e2b0c21b2949cebc32
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 00:05:06 2008 +0100

    Makefile.am: nuke RCS Id

commit f374ef206a31c0208072bcd12386860429e78f40
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Mar 7 17:12:52 2008 +0100

    fixup pciaccess version detect

commit 89d1940bc2aa05e20527bb11224fd3ce0156a593
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Feb 29 17:05:09 2008 -0500

    Bug #10004: Fix palette initialization in 8bpp modes.
    
    MemoryModel is an enum, not a bitfield; use == not & for the test.

commit 8e8efd5de2b3f5985b6df814392e6eecff2f97a3
Author: Daniel Drake <ddrake@brontes3d.com>
Date:   Tue May 29 12:17:00 2007 -0800

    Bug #11090: xf86-video-vesa COPYING file
    
    X.Org Bugzilla #11090 <https://bugs.freedesktop.org/show_bug.cgi?id=11090>

commit d6908078506fe2e47fe1293d717d1c99deb8038a
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Sep 4 16:38:37 2007 -0700

    Use pci_device_map_range instead of pci_device_map_memory_range

commit e1bd1a12455497608aa5a071a071b1b0fb0c9ce2
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Sep 4 16:33:09 2007 -0700

    Use XSERVER_LIBPCIACCESS to autodetect libpciaccess usage.

commit d4e58d9b8dc9dd97a2f3a4c16e27ecce72bf19e1
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:52:49 2007 -0400

